"use strict";
const dom_1 = require("../dom");
const pattern_1 = require("../pattern");
function init(parser, userOptions) {
    const options = Object.assign({}, this.defaults, userOptions);
    const pattern = pattern_1.parsePattern(options.pattern);
    parser.on('attr', (event, report) => {
        if (event.key.toLowerCase() !== 'class') {
            return;
        }
        const classes = new dom_1.DOMTokenList(event.value);
        classes.forEach(cur => {
            if (!cur.match(pattern)) {
                report(event.target, `Class "${cur}" does not match required pattern "${pattern}"`);
            }
        });
    });
}
module.exports = {
    name: 'class-pattern',
    init,
    defaults: {
        pattern: 'kebabcase',
    },
};
