"use strict";
function init(parser) {
    parser.on('tag:close', validate);
}
function validate(event, report) {
    if (typeof event.target === 'undefined') {
        return;
    }
    if (event.previous === event.target) {
        return;
    }
    if (Object.keys(event.target.attr).length > 0) {
        report(event.target, "Close tags cannot have attributes");
    }
}
module.exports = {
    name: 'close-attr',
    init,
};
