"use strict";
function init(parser) {
    parser.on('tag:close', (event, report) => {
        const current = event.target;
        const active = event.previous;
        if (!current) {
            report(event.previous, `Missing close-tag, expected '</${active.tagName}>' but document ended before it was found.`);
            return;
        }
        if (current.voidElement) {
            return;
        }
        if (!active || active.isRootElement()) {
            report(event.previous, "Unexpected close-tag, expected opening tag.");
            return;
        }
        if (current.tagName !== active.tagName) {
            report(event.target, `Mismatched close-tag, expected '</${active.tagName}>' but found '</${current.tagName}>'.`, current.location);
        }
    });
}
module.exports = {
    name: 'close-order',
    init,
};
