"use strict";
function init(parser, userOptions) {
    const options = Object.assign({}, this.defaults, userOptions);
    const regex = new RegExp(options.pattern);
    const xmlns = /^(.+):.+$/;
    parser.on('tag:open', (event, report) => {
        const target = event.target;
        if (target.meta) {
            return;
        }
        if (target.tagName.match(xmlns)) {
            return;
        }
        if (!target.tagName.match(regex)) {
            report(target, `"${target.tagName}" is not a valid element name`);
        }
    });
}
module.exports = {
    name: 'element-name',
    init,
    defaults: {
        pattern: '^[a-z][a-z0-9\\-._]*-[a-z0-9\\-._]*$',
    },
};
