"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const htmlvalidate_1 = require("../htmlvalidate");
describe('rule no-dup-class', function () {
    const expect = require('chai').expect;
    let htmlvalidate;
    before(function () {
        htmlvalidate = new htmlvalidate_1.default({
            rules: { 'no-dup-class': 'error' },
        });
    });
    it('should not report when class is missing', function () {
        const report = htmlvalidate.string('<p></p>');
        expect(report).to.be.valid;
    });
    it('should not report when class has no duplicates', function () {
        const report = htmlvalidate.string('<p class="foo bar"></p>');
        expect(report).to.be.valid;
    });
    it('should report when when class has duplicates', function () {
        const report = htmlvalidate.string('<p class="foo bar foo"></p></p>');
        expect(report).to.be.invalid;
        expect(report).to.have.error('no-dup-class', 'Class "foo" duplicated');
    });
});
