"use strict";
function init(parser) {
    parser.on('dom:ready', (event, report) => {
        const existing = {};
        const elements = event.document.querySelectorAll('[id]');
        elements.forEach(el => {
            if (el.id in existing) {
                report(el, `Duplicate ID "${el.id}"`);
            }
            existing[el.id] = true;
        });
    });
}
module.exports = {
    name: 'no-dup-id',
    init,
};
